petsc-3.13.6 2020-09-29
Report Typos and Errors

# KSPHPDDMGetDeflationSpace

Gets the deflation space computed by Krylov methods with recycling or NULL if KSPSolve() has not been called yet. This space is viewed as a set of vectors stored in a MATDENSE (column major). It is the responsibility of the user to free the returned Mat.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPHPDDMGetDeflationSpace(KSP ksp, Mat *U)

### Input Parameter

ksp -iterative context

### Output Parameter

U -deflation space generated during KSPSolve()

### See Also

KSPCreate(), KSPType (for list of available types), KSPHPDDMSetDeflationSpace()

### Level

intermediate

### Location

src/ksp/ksp/impls/hpddm/hpddm.cxx

### Examples

src/ksp/ksp/tutorials/ex75.c.html
src/ksp/ksp/tutorials/ex75f.F90.html

### Implementations

KSPHPDDMGetDeflationSpace_HPDDM in src/ksp/ksp/impls/hpddm/hpddm.cxx
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages